%define name	php5-zip
%define version	5.0.2
%define rversion 1.0
%define release 1mdk

%define modname zip
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A10_%{modname}.ini

Summary:	Zip extension module for PHP
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pecl.php.net/package/zip
License:	PHP License
Source0:	%{modname}-%{rversion}.tar.bz2
BuildRequires:  php5-devel
BuildRequires:	zziplib-devel >= 0.10.6
BuildRoot:	%{_tmppath}/%{name}-root

%description
This is a dynamic shared object (DSO) for PHP that will add zip
support using the zziplib library.

%prep

%setup -q -n %{modname}-%{rversion}

%build

php5ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php5/extensions
install -d %{buildroot}%{_sysconfdir}/php5.d

install -m755 %{soname} %{buildroot}%{_libdir}/php5/extensions/

cat > %{buildroot}%{_sysconfdir}/php5.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php5.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php5/extensions/%{soname}

%changelog
* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_1.0-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_1.0-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0_1.0-1mdk
- it's at pecl now
- rebuilt for php-5.0.0
- major cleanups

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- rebuilt for php-4.3.7
- use phpize

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-2mdk
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-1mdk
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4-1mdk
- built for php 4.3.4

* Wed Jul 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2-2mdk
- built against zzlib-0.12.82

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2-1mdk
- built for 4.3.2

* Wed Feb 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1-1mdk
- rebuilt against php-4.3.1

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-2mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-1mdk
- built against php-4.3.0
- built against zzlib-0.12.23
- follow the spec file design as in main

* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-1mdk
- 4.2.3 maintenance release
- Do not reload apache

* Thu Aug 22 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-1mdk
- Rebuild for 4.2.2
- Macroize a bit more, make version depend on "php -v"

* Mon May 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-3mdk
- rebuilt against php-4.2.1 this time (klama is wierd...)
- added Requires: php-common

* Mon May 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-2mdk
- misc spec file fixes

* Tue May 21 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.1-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>
	- misc spec file fixes
	- PHP 4.2.1

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.0-2mdk
- rebuilt with gcc3.1
- misc spec file fixes

* Mon Apr 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.0-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>:
	- misc spec file fixes
	- initial cooker contrib
	- PHP 4.2.0
